Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000076Rosetta[All Projects] Input Handlingpublic2012-08-16 19:012012-09-19 20:13
Reporterrmoretti 
Assigned ToSergey 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionTrunk 
Fixed in Version 
Summary0000076: Unit test framework do not identify invalid test.
DescriptionIf you attempt to use the -1 option on the unit test runner with an invalid unit test name, the framework will run without commenting on the fact that the test you requested doesn't exist.

$ ./test/run.py -1 ImNotAValidTest
Identifying platform...

Platform found: debug/linux/2.6/64/x86/gcc/4.1/
Done!

The lack of tracer output tips you off to the fact that nothing was run, but it would be nice to get a more affirmative error, to help guard against typos (Was it MyMoverNameTest or MyMoverNameTest_s_?)
TagsNo tags attached.
Application(s) Affectedtest/run.py
Command Line Used./test/run.py -1 ImNotAValidTest
Developer Options
Fixed in SVN Version51265
Attached Files

- Relationships

-  Notes
(0000106)
Sergey (Administrator)
2012-09-19 20:13

Fxed in 51265.

- Issue History
Date Modified Username Field Change
2012-08-16 19:01 rmoretti New Issue
2012-08-18 22:51 Sergey Assigned To => Sergey
2012-08-18 22:51 Sergey Status new => assigned
2012-09-19 20:13 Sergey Fixed in SVN Version => 51265
2012-09-19 20:13 Sergey Note Added: 0000106
2012-09-19 20:13 Sergey Status assigned => resolved
2012-09-19 20:13 Sergey Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker